Bug 1679332 (CVE-2019-17341) - CVE-2019-17341 xen: xsa285: race with pass-through device hotplug
Summary: CVE-2019-17341 xen: xsa285: race with pass-through device hotplug
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-17341
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1685577
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 22:14 UTC by Pedro Sampaio
Modified: 2019-11-12 08:58 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:48:32 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-02-20 22:14:49 UTC
When adding a passed-through PCI device to a domain after it was already
started, IOMMU page tables may need constructing on the fly. For PV
guests the decision whether a page ought to have a mapping is based on
whether the page is writable, to prevent IOMMU access to things like
page tables. Writablility of a page may, however, change at any time.
Failure of the relevant code to respect this possible race may lead
to IOMMU mappings of, in particular, page tables, allowing the guest
to alter such page tables without Xen auditing the changes.

Comment 1 Andrej Nemec 2019-03-05 13:18:36 UTC
References:

https://seclists.org/oss-sec/2019/q1/158

Comment 2 Andrej Nemec 2019-03-05 14:26:20 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1685577]


Note You need to log in before you can comment on or make changes to this bug.